
$(function() {

    // Cloning the master page
    for (i = 1; i < nb_page; i++){
        $("#master-page").clone().attr("id","page-"+i).insertBefore($("#master-page"));
    }
    $("#master-page").attr("data-width", $(".paper:first-child").width()).hide();

});


//     __  ______
//    / / / / __ \
//   / /_/ / / / /
//  / __  / /_/ /
// /_/ /_/_____/
var len;
var switchedLen = 0;

function imageExists($elmt, src, callback) {
  var img = new Image();
  img.onload = function() { callback($elmt, src, true); };
  img.onerror = function() { callback($elmt, src, false); };
  img.src = src;
}

function switchHD($img, src, exists) {
  // console.log('src=' + src + ', exists=' + exists);
  if(exists){
    $img.attr('src', src);
  }else{
    console.error('src '+src+' does not exists');
    $img.addClass('missing-hd');
  }
  switchedLen++;
  // console.log('len : '+len+" | switchedLen : "+switchedLen);

  if(len == switchedLen)
    console.log('HD assets enabled');
}


function enableHD(){
  console.log('enabling HD assets');

  len = $('img').length;

  $('img').each(function(index, el) {
    // console.log('img', el);
    var $img = $(el);
    var src = $img.attr('src');
    // console.log('src BEFORE',src);
    src = src.replace('assets', 'assets-hd');
    src = src.replace('-preview', '');
    // console.log('src AFTER', src);
    // $img.attr('src', src);
    imageExists($img, src, switchHD);
    // console.log('--');
  });
}
